{
  disko.devices = {
    disk = {
      vda = {
        device = "/dev/vda";
        type = "disk";
        content = {
          type = "gpt";
          partitions = {
            ESP = {
              type = "EF00";
              size = "100%";
              content = {
                type = "filesystem";
                format = "vfat";
                mountpoint = "/boot";
              };
            };
          };
        };
      };
    };
  };
  boot.initrd.kernelModules = [ "virtiofs" ];
  fileSystems."/" = {
    device = "root";
    fsType = "virtiofs";
  };
}
